The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Wireshark: multiple vulnerabilities

Synthesis of the vulnerability 

An attacker can use several vulnerabilities of Wireshark.
Impacted systems: Debian, Fedora, openSUSE Leap, Solaris, SUSE Linux Enterprise Desktop, SLES, Wireshark.
Severity of this alert: 2/4.
Number of vulnerabilities in this bulletin: 7.
Creation date: 29/11/2018.
Références of this alert: bulletinjan2019, CERTFR-2018-AVI-575, CVE-2018-19622, CVE-2018-19623, CVE-2018-19624, CVE-2018-19625, CVE-2018-19626, CVE-2018-19627, CVE-2018-19628, DLA-1634-1, DSA-4359-1, FEDORA-2018-1b6cb1df72, FEDORA-2018-cb410a3812, openSUSE-SU-2018:4307-1, openSUSE-SU-2020:0362-1, SUSE-SU-2018:4295-1, SUSE-SU-2018:4298-1, VIGILANCE-VUL-27905, wnpa-sec-2018-51, wnpa-sec-2018-52, wnpa-sec-2018-53, wnpa-sec-2018-54, wnpa-sec-2018-55, wnpa-sec-2018-56, wnpa-sec-2018-57.

Description of the vulnerability 

An attacker can use several vulnerabilities of Wireshark.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This threat note impacts software or systems such as Debian, Fedora, openSUSE Leap, Solaris, SUSE Linux Enterprise Desktop, SLES, Wireshark.

Our Vigil@nce team determined that the severity of this cybersecurity note is medium.

The trust level is of type confirmed by the editor, with an origin of intranet client.

This bulletin is about 7 vulnerabilities.

An attacker with a expert ability can exploit this vulnerability note.

Solutions for this threat 

Wireshark: version 2.6.5.
The version 2.6.5 is fixed:
  https://www.wireshark.org/download.html

Wireshark: version 2.4.11.
The version 2.4.11 is fixed:
  https://www.wireshark.org/download.html

Debian 8: new wireshark packages.
New packages are available:
  Debian 8: wireshark 1.12.1+g01b65bf-4+deb8u16

Debian 9: new wireshark packages.
New packages are available:
  Debian 9: wireshark 2.6.5-1~deb9u1

Fedora 28: new wireshark packages.
New packages are available:
  Fedora 28: wireshark 2.6.5-1.fc28

Fedora 29: new wireshark packages.
New packages are available:
  Fedora 29: wireshark 2.6.5-1.fc29

openSUSE Leap 15.0: new wireshark packages.
New packages are available:
  openSUSE Leap 15.0: wireshark 2.4.11-lp150.2.16.1

openSUSE Leap 15.1: new wireshark packages.
New packages are available:
  openSUSE Leap 15.1: wireshark 3.2.2-lp151.2.9.1

Oracle Solaris: patch for third party software of January 2019 v1.
A patch is available:
  https://support.oracle.com/rs?type=doc&id=1448883.1

SUSE LE 12: new wireshark packages.
New packages are available:
  SUSE LE 12 SP3: wireshark 2.4.11-48.35.1
  SUSE LE 12 SP4: wireshark 2.4.11-48.35.1

SUSE LE 15: new wireshark packages.
New packages are available:
  SUSE LE 15 RTM: wireshark 2.4.11-3.15.1
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a network vulnerability watch. The Vigil@nce vulnerability database contains several thousand vulnerabilities.